Get Account
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/accounts/{account_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/accounts/{account_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/accounts/{account_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"uuid": "8bfc20d7-f7c6-4422-bf07-8243ca4169fe",
"name": "BTC Wallet",
"currency": "BTC",
"available_balance": {
"value": "1.23",
"currency": "BTC"
},
"default": false,
"active": true,
"created_at": "2021-05-31T09:59:59.000Z",
"updated_at": "2021-05-31T09:59:59.000Z",
"deleted_at": "2021-05-31T09:59:59.000Z",
"type": "FIAT",
"ready": true,
"hold": {
"value": "1.23",
"currency": "BTC"
},
"retail_portfolio_id": "b87a2d3f-8a1e-49b3-a4ea-402d8c389aca",
"platform": "ACCOUNT_PLATFORM_CONSUMER"
}
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Accounts
Get Account
Get a list of information about an account, given an account UUID.
GET
/
api
/
v3
/
brokerage
/
accounts
/
{account_uuid}
Get Account
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Path Parameters
The account's UUID.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I